package com.jkcredit.invoice.service.lowerservice;

import com.jkcredit.invoice.model.entity.user.User;

public interface CheckHasAuthRole {

    /**
     * 公司角色校验
     *
     * @param user
     * @param company
     */
    void checkCompanyRole(User user, String company);

    /**
     * 客户角色校验
     *
     * @param user
     * @param customerName
     */
    void checkCustomerRole(User user, String customerName);
}
